#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

VERSIONS := $(shell py3versions --supported -v)

%:
	dh $@

override_dh_auto_configure-arch:
	set -e; for v in $(VERSIONS); do \
		dh_auto_configure \
			--builddirectory=build-$$v \
			-- \
			-Dpython=/usr/bin/python$$v \
			; \
	done

override_dh_auto_build-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		dh_auto_build \
			--arch \
			--builddirectory=build-$$v \
			-- \
			; \
	done

override_dh_auto_test-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v; \
		dh_auto_test \
			--arch \
			--builddirectory=build-$$v \
			-- \
			; \
	done

override_dh_auto_install-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		VERBOSE=1 \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$v \
			--destdir=debian/tmp \
			-- \
			; \
	done
